classification
Title: batch file variables
Type: Stage: resolved
Components: Build, Windows Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.lindblad, miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: easy, patch, patch

Created on 2018-09-30 17:55 by eric.lindblad, last changed 2019-01-10 00:47 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11177 merged antektek, 2018-12-24 22:54
PR 11177 merged antektek, 2018-12-24 22:54
PR 11490 merged miss-islington, 2019-01-10 00:19
PR 11490 merged miss-islington, 2019-01-10 00:19
PR 11490 merged miss-islington, 2019-01-10 00:19
Messages (6)
msg326735 - (view) Author: Eric Lindblad (eric.lindblad) Date: 2018-09-30 17:55
The development version code can set the variable EXTERNALS_DIR in two .bat files, but nowhere in a .bat file is set the variable EXTERNAL_DIR, the latter appearing in find_python.bat. I am not a Powershell user and so cannot interpret the content of the file .azure-pipelines/windows-steps.yml, where the variable EXTERNAL_DIR likewise appears, but, being familiar solely with .bat files would question whether a misprint had occurred in the below commit, as "%EXTERNAL_DIR%" rather than "%EXTERNALS_DIR%"?

https://github.com/python/cpython/commit/68d663cf85d1ac5eaf83482eed39c0a6f8093601#diff-60f6a0e6e49e5990c3ad465771fff9cd

committed on GitHub Jul 17, 2017
msg330562 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-11-27 23:52
Yep, good catch. That should be EXTERNALS_DIR in PCbuild/find_python.bat.
msg332572 - (view) Author: Eric Lindblad (eric.lindblad) Date: 2018-12-27 01:10
Should windows-steps.yml (line 11) and windows-appx-test.yml committed 6 Dec. (line 39) both read EXTERNALS_DIR?
msg332573 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-12-27 04:18
They should set it, and it will be read in PCbuild/python.props which has the "correct" name (I forget what it is right now and am not looking it up on my phone)
msg333357 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-01-10 00:19
New changeset 6aedfa6b9ac324587f64133c23757a66a8f355bb by Steve Dower (antektek) in branch 'master':
bpo-34855: Fix EXTERNALS_DIR build variable for Windows (GH-11177)
https://github.com/python/cpython/commit/6aedfa6b9ac324587f64133c23757a66a8f355bb
msg333358 - (view) Author: miss-islington (miss-islington) Date: 2019-01-10 00:46
New changeset 2bd5f7e91add6a20c311d46c332c4325b1e77883 by Miss Islington (bot) in branch '3.7':
bpo-34855: Fix EXTERNALS_DIR build variable for Windows (GH-11177)
https://github.com/python/cpython/commit/2bd5f7e91add6a20c311d46c332c4325b1e77883
History
Date User Action Args
2019-01-10 00:47:55steve.dowersetkeywords: patch, patch, easy
status: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-01-10 00:46:43miss-islingtonsetnosy: + miss-islington
messages: + msg333358
2019-01-10 00:20:02miss-islingtonsetpull_requests: + pull_request11009
2019-01-10 00:19:52miss-islingtonsetpull_requests: + pull_request11008
2019-01-10 00:19:42miss-islingtonsetpull_requests: + pull_request11007
2019-01-10 00:19:31steve.dowersetmessages: + msg333357
2018-12-27 04:18:02steve.dowersetkeywords: patch, patch, easy

messages: + msg332573
2018-12-27 01:10:42eric.lindbladsetmessages: + msg332572
2018-12-24 22:55:02antekteksetkeywords: + patch
stage: patch review
pull_requests: + pull_request10547
2018-12-24 22:54:53antekteksetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10546
2018-11-27 23:52:52steve.dowersetversions: + Python 3.6, Python 3.7
nosy: + paul.moore, tim.golden, zach.ware, steve.dower

messages: + msg330562

components: + Windows
keywords: + easy
2018-09-30 17:55:56eric.lindbladcreate